import 'package:freezed_annotation/freezed_annotation.dart';

part 'app_info_model.freezed.dart';
part 'app_info_model.g.dart';

@freezed
abstract class AppInfoModel with _$AppInfoModel {
  const factory AppInfoModel({String? key, String? download_link, Info? info}) = _AppInfoModel;

  factory AppInfoModel.fromJson(Map<String, dynamic> json) => _$AppInfoModelFromJson(json);
}

@freezed
abstract class Info with _$Info {
  const factory Info({String? version, String? module, bool? required}) = _Info;

  factory Info.fromJson(Map<String, dynamic> json) => _$InfoFromJson(json);
}
